| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # ValidationContext Class Reference Inheritance diagram for ValidationContext: [legend] List of all members.
## Public Member Functions
Virtual destructor for derived classes
virtual | ~ValidationContext ()
| virtual destructor
The ValidationContext Interface
virtual RefHashTableOf < XMLRefInfo > * | getIdRefList () const =0
| IDRefList.
virtual void | setIdRefList (RefHashTableOf< XMLRefInfo > *const)=0
virtual void | clearIdRefList ()=0
virtual void | addId (const XMLCh *const )=0
virtual void | addIdRef (const XMLCh *const )=0
virtual void | toCheckIdRefList (bool)=0
virtual const NameIdPool < DTDEntityDecl > * | getEntityDeclPool () const =0
| EntityDeclPool.
virtual const NameIdPool < DTDEntityDecl > * | setEntityDeclPool (const NameIdPool< DTDEntityDecl > *const)=0
virtual void | checkEntity (const XMLCh *const ) const =0
virtual DatatypeValidator * | getValidatingMemberType () const =0
| Union datatype handling.
virtual void | setValidatingMemberType (DatatypeValidator *validatingMemberType)=0
virtual bool | isPrefixUnknown (XMLCh *)
| QName datatype handling Create default implementations for source code compatibility.
virtual void | setElemStack (ElemStack *)
## Protected Member Functions
| ValidationContext (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors.
## Protected Attributes
MemoryManager * | fMemoryManager
## Constructor & Destructor Documentation
virtual ValidationContext::~ValidationContext | ( |  | ) | `[virtual]`
virtual destructor
ValidationContext::ValidationContext | ( | MemoryManager *const | memMgr = `XMLPlatformUtils::fgMemoryManager` | ) | `[protected]`
Hidden Constructors. ## Member Function Documentation
virtual RefHashTableOf<XMLRefInfo>* ValidationContext::getIdRefList | ( |  | ) | const`[pure virtual]`
IDRefList.
virtual void ValidationContext::setIdRefList | ( | RefHashTableOf< XMLRefInfo > * | const | ) | `[pure virtual]`
virtual void ValidationContext::clearIdRefList | ( |  | ) | `[pure virtual]`
virtual void ValidationContext::addId | ( | const XMLCh * | const | ) | `[pure virtual]`
virtual void ValidationContext::addIdRef | ( | const XMLCh * | const | ) | `[pure virtual]`
virtual void ValidationContext::toCheckIdRefList | ( | bool |  | ) | `[pure virtual]`
virtual const NameIdPool<DTDEntityDecl>* ValidationContext::getEntityDeclPool | ( |  | ) | const`[pure virtual]`
EntityDeclPool.
virtual const NameIdPool<DTDEntityDecl>* ValidationContext::setEntityDeclPool | ( | const NameIdPool< DTDEntityDecl > * | const | ) | `[pure virtual]`
virtual void ValidationContext::checkEntity | ( | const XMLCh * | const | ) | const`[pure virtual]`
virtual DatatypeValidator* ValidationContext::getValidatingMemberType | ( |  | ) | const`[pure virtual]`
Union datatype handling.
virtual void ValidationContext::setValidatingMemberType | ( | DatatypeValidator * | validatingMemberType | ) | `[pure virtual]`
virtual bool ValidationContext::isPrefixUnknown | ( | XMLCh * |  | ) | `[virtual]`
QName datatype handling Create default implementations for source code compatibility.
virtual void ValidationContext::setElemStack | ( | ElemStack * |  | ) | `[virtual]`
## Member Data Documentation
MemoryManager* ValidationContext::fMemoryManager`[protected]`
The documentation for this class was generated from the following file: ValidationContext.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.